Package org.eclipse.microprofile.fault.tolerance.tck.config

# Class BeanWithRetry

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.config.BeanWithRetry

@Dependent @Retry public class BeanWithRetry extends Object

Author:
  Antoine Sabot-Durand

## Constructor Summary

Constructors
Constructor
Description
`BeanWithRetry()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getRetry()`
`void`
`triggerException()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeanWithRetry

public BeanWithRetry()

## Method Details

### triggerException

@Retry public void triggerException()

### getRetry

public int getRetry()